Log in or register to post comments

Error updating Vuforia

December 23, 2019 - 6:24am #1

Hi,

I Updated Vuforia to 8.6.7 on based:

https://developer.vuforia.com/downloads/sdk

but I have Error:

 

- An error occurred while resolving packages:

  Package com.ptc.vuforia.engine@file:C:\Users\User\Desktop\Now_Projects\Unity_Projects\New Online Targets\Packages\package has invalid dependencies:

    com.unity.ugui: Package [com.unity.ugui@1.0.0] cannot be found

- Assembly with name 'VuforiaEditorScripts' already exists (Assets/Vuforia/Editor/Scripts/VuforiaEditorScripts.asmdef)

- Assembly with name 'VuforiaEditorScripts' already exists (Packages/com.ptc.vuforia.engine/Vuforia/Editor/Scripts/VuforiaEditorScripts.asmdef)

- Assembly with name 'VuforiaScripts' already exists (Packages/com.ptc.vuforia.engine/Vuforia/Scripts/VuforiaScripts.asmdef)

- Assembly with name 'VuforiaScripts' already exists (Assets/Vuforia/Scripts/VuforiaScripts.asmdef)

 

Error updating Vuforia

November 6, 2020 - 1:00am #22

Hi @shafizah,

No for Unity. So in order to update, you need to go under VuforiaConfiguration and than a prompt appears in the Inspector to update the SDK.

Hope it helps.

Vuforia Engine Support

Error updating Vuforia

November 2, 2020 - 10:28pm #21

Ok, so it's like this that it's really taking a considerable amount of time for me it was like 20 min and at last it was imported so it's not stuck there it gonna work

Error updating Vuforia

November 2, 2020 - 5:25pm #20

Yeah, I used add-vuforia-package-9-5-4.unitypackage from https://developer.vuforia.com/downloads/sdk. Should I use vuforia-sdk-android-9-5-3.zip too ?

Error updating Vuforia

November 2, 2020 - 5:28am #19

HI,

I used the script available here:https://developer.vuforia.com/downloads/sdk and was *not* able to reproduce the issue.

Unity 2020.1.11 and 2019.4.11

Have you used the script for installing the SDK when testing a new project?

Thank you.

Vuforia Engine Support

Error updating Vuforia

November 2, 2020 - 2:29am #18

I got exactly same problem, even with a new project. Unity 2020.1.9f1

AttachmentSize
Image icon Error.jpg54.98 KB
Image icon manifest.jpg61.58 KB

Error updating Vuforia

October 30, 2020 - 10:14pm #17

Hi, can you help me?  i have this error since i updated the latest version of vuforia package.

(Failed to load .../FileDriver.dll' because one or more of its dependencies could not be loaded.)

AttachmentSize
Image icon vuforia error.JPG48.92 KB

Error updating Vuforia

August 4, 2020 - 11:51pm #16

Hi,

Please try the alternative mentioned in this article: https://library.vuforia.com/content/vuforia-library/en/articles/Solution/vuforia-engine-package-hosting-for-unity.html

Basically you will have to manually download the package and than import it manually.

I also would want to mention that the installation process is not stuck/blocked at Resolving Package but due to the size of the vuforia package and your internet bandwidth it may take a couple of minutes to download the package. ( for me it takes sometimes up to 5 min).

The good thing is it only takes the first time, a considerable amount of time, afterwards it gets cached by Unity.

Thank you.

Vuforia Engine Support

Error updating Vuforia

August 4, 2020 - 7:27pm #15

Error updating Vuforia

June 30, 2020 - 5:02am #14

Hi,

Could you please try and access https://registry.packages.developer.vuforia.com in your browser and let me know what do you get? please pay attention if the url changes.

Thank you.

Vuforia Engine Support

Error updating Vuforia

June 29, 2020 - 3:50am #13

Hii @mcotora :
please help me, I have turned off all the security on the laptop, but it still has errors like that, what should I do so the system can run and no proxy error again

Error updating Vuforia

June 29, 2020 - 3:46am #12

I have turned off all the security on the laptop, but still error like that

Error updating Vuforia

June 29, 2020 - 3:44am #11

I do not understand the advice, please help me

Error updating Vuforia

June 29, 2020 - 1:46am #10

Hi @Cindyhanny,

The error is pointing to a connection issue. Have you tried the advice mentioned by the error?

Thank you.

Vuforia Engine Support

Error updating Vuforia

June 28, 2020 - 8:50pm #9

I have an error like the following, to resolve how quickly
An error occurred while resolving packages: Project has invalid dependencies: com.ptc.vuforia.engine: Cannot connect to 'undefined' (error code: ECONNRESET). Verify your environment firewall policies allow connection to this host name. If your system is behind a proxy, verify your proxy environment variables (HTTP_PROXY) and (HTTPS_PROXY) are properly set.

AttachmentSize
Image icon IMG-20200629-WA0021.jpeg3.33 MB

Error updating Vuforia

June 3, 2020 - 5:39am #8

Hi,

Unfortunately we only have the latest version available for download on our website.

What version do you actually need 8.1.x?

Thank you.

Vuforia Engine Support

Error updating Vuforia

May 30, 2020 - 7:04am #7

Hi -

Speaking of needing Unity 2019.2+ for the newest Vuforia... I attempted to update Vuforia, but I only have Unity 2018.3.0f2, and now I have those errors. How can I "downgrade" back to Vuforia 8.1 so that those compile errors go away? I prefer to not update Unity because our project is large and updating always makes things break :)

Incidentally, we were trying to update Vuforia because ground plane detection was not working in our Android build. We tested with the Moto g8 power. Works great on iOS devices, though.

Thanks,

Jonathan

Error updating Vuforia

January 22, 2020 - 4:17am #6

Hi,

Yes, you require 2019.2+ for 8.6.

https://library.vuforia.com/articles/Solution/Vuforia-Supported-Versions

Thank you.

Vuforia Engine Support

Error updating Vuforia

January 20, 2020 - 5:20pm #5

Does anyone know if this means Unity 2019.2 is required in order to use Vuforia 8.6?  I'm still getting that error the original poster saw about "Package [com.unity.ugui@1.0.0] cannot be found" 

Error updating Vuforia

January 16, 2020 - 7:20am #4

Hello,

 

I had the same issue !, using Unity 2018.3.14f1 and trying to upgrade Vuforia from 8.1 to 8.6.

Finally, i figured out that the vuforia 8.6 works on Unity 2019.2 (https://library.vuforia.com/content/vuforia-library/en/articles/Solution/vuforia-engine-package-hosting-for-unity.html).

I used unity package manger to install it, then check "Enable vuforia ..." in XR player setting

PS: There is a lot of changes in the 8.6 ! i had to change some stuff in the inspector.

 

Good luck !

 

Error updating Vuforia

January 4, 2020 - 8:20am #3

Hello

I have same bug and same error.

update version 8.6.1 is not a good idea !

Do you have solution ?

Unity stop run

Error updating Vuforia

December 23, 2019 - 6:43am #2

Do you still have Vuforia in your project?  Try deleting it,  It should only exist in packages.

 

 

Log in or register to post comments